Liblinphone: _LinphoneCoreVTable Struct Reference

Liblinphone 5.3.0

Data Fields
_LinphoneCoreVTable Struct Reference
Initializing

This structure holds all callbacks that the application should implement. More...

`#include <core.h>`

## Data Fields
LinphoneCoreGlobalStateChangedCb | global_state_changed
| Notifies global state changes.
LinphoneCoreRegistrationStateChangedCb | registration_state_changed
| Notifies registration state changes.
LinphoneCoreCallStateChangedCb | call_state_changed
| Notifies call state changes.
LinphoneCoreNotifyPresenceReceivedCb | notify_presence_received
| Notify received presence events.
LinphoneCoreNotifyPresenceReceivedForUriOrTelCb | notify_presence_received_for_uri_or_tel
| Notify received presence events.
LinphoneCoreNewSubscriptionRequestedCb | new_subscription_requested
| Notify about pending presence subscription request.
MS2_DEPRECATED LinphoneCoreAuthInfoRequestedCb | auth_info_requested
| Ask the application some authentication information.
LinphoneCoreAuthenticationRequestedCb | authentication_requested
| Ask the application some authentication information.
LinphoneCoreCallLogUpdatedCb | call_log_updated
| Notifies that call log list has been updated.
LinphoneCoreCallIdUpdatedCb | call_id_updated
| Notifies that callid of a call has been updated.
LinphoneCoreCbsMessageReceivedCb | message_received
| a message is received, can be text or external body
LinphoneCoreCbsMessagesReceivedCb | messages_received
| one or more messages are received, can be text or external body
LinphoneCoreCbsMessageReceivedUnableDecryptCb | message_received_unable_decrypt
| an encrypted message is received but we can't decrypt it
LinphoneCoreIsComposingReceivedCb | is_composing_received
| An is-composing notification has been received.
LinphoneCoreDtmfReceivedCb | dtmf_received
| A dtmf has been received received.
LinphoneCoreReferReceivedCb | refer_received
| An out of call refer was received.
LinphoneCoreCbsCallGoClearAckSentCb | call_goclear_ack_sent
| Notifies on sending of GoClear Ack.
LinphoneCoreCallEncryptionChangedCb | call_encryption_changed
| Notifies on change in the encryption of call streams.
LinphoneCoreCbsCallSendMasterKeyChangedCb | call_send_master_key_changed
| Notifies on change of the send master key of call streams.
LinphoneCoreCbsCallReceiveMasterKeyChangedCb | call_receive_master_key_changed
| Notifies on change of the send master key of call streams.
LinphoneCoreTransferStateChangedCb | transfer_state_changed
| Notifies when a transfer is in progress.
LinphoneCoreBuddyInfoUpdatedCb | buddy_info_updated
| a LinphoneFriend's BuddyInfo has changed
LinphoneCoreCallStatsUpdatedCb | call_stats_updated
| Notifies on refreshing of call's statistics.
LinphoneCoreInfoReceivedCb | info_received
| Notifies an incoming informational message received.
LinphoneCoreSubscriptionStateChangedCb | subscription_state_changed
| Notifies subscription state change.
LinphoneCoreCbsNotifySentCb | notify_sent
| Notifies a an event notification, see linphone_core_subscribe().
LinphoneCoreNotifyReceivedCb | notify_received
| Notifies a an event notification, see linphone_core_subscribe().
LinphoneCoreSubscribeReceivedCb | subscribe_received
| Notifies a subscribe has been received, see linphone_core_subscribe().
LinphoneCorePublishStateChangedCb | publish_state_changed
LinphoneCorePublishReceivedCb | publish_received
| Notifies publish state change (only from LinphoneEvent api).
LinphoneCoreConfiguringStatusCb | configuring_status
MS2_DEPRECATED LinphoneCoreTextMessageReceivedCb | text_received
| Notifies configuring status changes.
MS2_DEPRECATED LinphoneCoreFileTransferRecvCb | file_transfer_recv
| Callback to store file received attached to a LinphoneChatMessage.
MS2_DEPRECATED LinphoneCoreFileTransferSendCb | file_transfer_send
| Callback to collect file chunk to be sent for a LinphoneChatMessage.
MS2_DEPRECATED LinphoneCoreFileTransferProgressIndicationCb | file_transfer_progress_indication
| Callback to indicate file transfer progress.
LinphoneCoreNetworkReachableCb | network_reachable
| Callback to report IP network status (I.E up/down ).
LinphoneCoreLogCollectionUploadStateChangedCb | log_collection_upload_state_changed
| Callback to upload collected logs.
LinphoneCoreLogCollectionUploadProgressIndicationCb | log_collection_upload_progress_indication
| Callback to indicate log collection upload progress.
LinphoneCoreFriendListCreatedCb | friend_list_created
LinphoneCoreFriendListRemovedCb | friend_list_removed
LinphoneCoreCbsCallCreatedCb | call_created
LinphoneCoreCbsVersionUpdateCheckResultReceivedCb | version_update_check_result_received
LinphoneCoreCbsConferenceStateChangedCb | conference_state_changed
LinphoneCoreCbsChatRoomStateChangedCb | chat_room_state_changed
LinphoneCoreCbsQrcodeFoundCb | qrcode_found
LinphoneCoreCbsEcCalibrationResultCb | ec_calibration_result
LinphoneCoreCbsEcCalibrationAudioInitCb | ec_calibration_audio_init
LinphoneCoreCbsEcCalibrationAudioUninitCb | ec_calibration_audio_uninit
LinphoneCoreCbsMessageSentCb | message_sent
LinphoneCoreCbsChatRoomReadCb | chat_room_read
LinphoneCoreCbsChatRoomSessionStateChangedCb | chat_room_session_state_changed
LinphoneCoreCbsChatRoomSubjectChangedCb | chat_room_subject_changed
LinphoneCoreCbsChatRoomEphemeralMessageDeleteCb | chat_room_ephemeral_message_deleted
LinphoneCoreCbsFirstCallStartedCb | first_call_started
LinphoneCoreCbsLastCallEndedCb | last_call_ended
LinphoneCoreCbsAudioDeviceChangedCb | audio_device_changed
LinphoneCoreCbsAudioDevicesListUpdatedCb | audio_devices_list_updated
LinphoneCoreCbsImeeUserRegistrationCb | imee_user_registration
LinphoneCoreCbsChatRoomExhumedCb | chat_room_exhumed
LinphoneCoreCbsAccountRegistrationStateChangedCb | account_registration_state_changed
LinphoneCoreCbsConferenceInfoReceivedCb | conference_info_received
LinphoneCoreCbsPushNotificationReceivedCb | push_notification_received
LinphoneCoreCbsNewAlertTriggeredCb | new_alert_triggered
LinphoneCoreCbsPreviewDisplayErrorOccurredCb | preview_display_error_occurred
LinphoneCoreCbsNewMessageReactionCb | new_message_reaction
LinphoneCoreCbsReactionRemovedCb | reaction_removed
LinphoneCoreCbsReactionRemovedPrivateCb | reaction_removed_private
LinphoneCoreCbsDefaultAccountChangedCb | default_account_changed
LinphoneCoreCbsAccountAddedCb | account_added
LinphoneCoreCbsAccountRemovedCb | account_removed
void * | user_data
| User data associated with the above callbacks.

## Detailed Description

This structure holds all callbacks that the application should implement.

None is mandatory.

## Field Documentation

## ◆ auth_info_requested

MS2_DEPRECATED LinphoneCoreAuthInfoRequestedCb _LinphoneCoreVTable::auth_info_requested

Ask the application some authentication information.

Deprecated
  21/09/2016 Use authentication_requested instead.

## ◆ file_transfer_progress_indication

MS2_DEPRECATED LinphoneCoreFileTransferProgressIndicationCb _LinphoneCoreVTable::file_transfer_progress_indication

Callback to indicate file transfer progress.

Deprecated
  19/11/2015

## ◆ file_transfer_recv

MS2_DEPRECATED LinphoneCoreFileTransferRecvCb _LinphoneCoreVTable::file_transfer_recv

Callback to store file received attached to a LinphoneChatMessage.

Deprecated
  19/11/2015

## ◆ file_transfer_send

MS2_DEPRECATED LinphoneCoreFileTransferSendCb _LinphoneCoreVTable::file_transfer_send

Callback to collect file chunk to be sent for a LinphoneChatMessage.

Deprecated
  19/11/2015

## ◆ publish_received

LinphoneCorePublishReceivedCb _LinphoneCoreVTable::publish_received

Notifies publish state change (only from LinphoneEvent api).

Notifies a publish has been received, see linphone_core_pulish()

## ◆ text_received

MS2_DEPRECATED LinphoneCoreTextMessageReceivedCb _LinphoneCoreVTable::text_received

Notifies configuring status changes.

A text message has been received.

Deprecated
  19/11/2015 Use message_received instead.

The documentation for this struct was generated from the following file:

- core.h